REBIND(1)

NAME
rebind - modify the binding of global variables in an ELF object file

SYNOPSIS
rebind [OPTIONS] FILE [SYMBOL ...]

DESCRIPTION
rebind edits an ELF object file by changing the binding and/or visibility settings of one or more global symbols. Note that rebind modifies the object file directly.

After the name of the object file, the remaining arguments list the symbols to modify. If no symbols are specified on the command-line, symbol names are read from standard input.

OPTIONS

-b, --binding=BIND
    Change the binding of the chosen symbols to BIND. BIND must be either global or weak.

-v, --visibility=VIS
    Change the visibility of the chosen symbols to VIS. VIS must be one of default, hidden, internal, or protected.

-w, --weaken
    Shorthand for --binding=weak.

-h, --hide
    Shorthand for --visibility=hidden.

-i, --verbose
    Display on standard output what symbols are changed.

--help
    Display help and exit.

--version
    Display version information and exit.

COPYRIGHT
Copyright © 2001, 2011 Brian Raiter <breadbox@muppetlabs.com>.

License GPLv2+: GNU GPL version 2 or later. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.